Roles
List roles
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
layer?string
Value in
"merchant" | "company" | "operator" | "owner" | "partner"cursor?string
Format
uuidlimit?integer
Default
20Range
1 <= value <= 100sortOrder?string
Value in
"asc" | "desc"Response Body
application/json
curl -X GET "https://<api-host>/v1/roles"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"layer": "merchant",
"name": "string",
"description": "string",
"isSystem": true,
"permissions": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"nextCursor": "string",
"prevCursor": "string",
"hasMore": true,
"totalCount": 0
}
}Empty